// pages/ticketWaiting/prodetail.js
const utils = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    recordId: '', //上一页传来的参数
    belongEntTaxId: '', //上一页传来的参数
    status: '', //上一页传来的参数
    cmdParamObject: '', //详情数据
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      recordId: options.recordId,
      belongEntTaxId: options.belongEntTaxId,
      status: options.status
    })
    this.getDetail()
  },

  //获取详情
  getDetail() {
    let params = {
      recordId: this.data.recordId,
      belongEntTaxId: this.data.belongEntTaxId
    }
    utils.axios({
      method: 'get',
      url: '/sys/fapiao/todo/findCmdParam',
      data: params,
      sendBefore() {
        wx.showLoading({
          title: '加载中...'
        })
      },
      complete() {
        wx.hideLoading()
      },
      success: res => {
        let cmdParamObject = res.data.cmdParamObject
        if (cmdParamObject.REQUEST_COMMON_FPKJ.HJSE) {
          cmdParamObject.REQUEST_COMMON_FPKJ.HJSE = utils.decimal(cmdParamObject.REQUEST_COMMON_FPKJ.HJSE)
        }
        if (cmdParamObject.REQUEST_COMMON_FPKJ.COMMON_FPKJ_XMXXS.COMMON_FPKJ_XMXX) {
          for (let i = 0; i < cmdParamObject.REQUEST_COMMON_FPKJ.COMMON_FPKJ_XMXXS.COMMON_FPKJ_XMXX.length; i++) {
            let item = cmdParamObject.REQUEST_COMMON_FPKJ.COMMON_FPKJ_XMXXS.COMMON_FPKJ_XMXX[i]
            item.SE = utils.decimal(item.SE)
            cmdParamObject.REQUEST_COMMON_FPKJ.COMMON_FPKJ_XMXXS.COMMON_FPKJ_XMXX[i] = item
          }
        }
        this.setData({
          cmdParamObject
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '诺信云',
      path: '/pages/index/index'
    }
  }
})